Extending Qt Creator Manual | Imports

Extending Qt Creator Manual 4.5.2

# Imports Class

(QmlJS::Imports)

- List of all members, including inherited members

## Public Functions

| Imports(ValueOwner *valueOwner)
const QList<Import> & | all() const
void | append(const Import &import)
bool | importFailed() const
ImportInfo | info(const QString &name, const Context *context) const
const JSImportScope * | jsImportScope() const
QString | nameForImportedObject(const ObjectValue *value, const Context *context) const
void | setImportFailed()
const TypeScope * | typeScope() const

## Member Function Documentation

### Imports::Imports(ValueOwner *valueOwner)

Default constructs an instance of Imports.

### const QList<Import> &Imports::all() const

### void Imports::append(const Import &import)

### bool Imports::importFailed() const

See also setImportFailed().

### ImportInfo Imports::info(const QString &name, const Context *context) const

### const JSImportScope *Imports::jsImportScope() const

### QString Imports::nameForImportedObject(const ObjectValue *value, const Context *context) const

### void Imports::setImportFailed()

See also importFailed().

### const TypeScope *Imports::typeScope() const